### Method

# Fwupd Client get_upgrades_async

#### Declaration [src]

    void
    fwupd_client_get_upgrades_async (
      FwupdClient* self,
      const gchar* device_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Gets all the upgrades for a specific device.

You must have called `fwupd_client_connect_async()` on `self` before using this method.

Available since: | 1.5.0

#### Parameters

`device_id` | `const gchar*`
| The device ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.